﻿using System;
using System.Net;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Collections.Generic;
using System.Diagnostics;
using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;

namespace eventNotifications
{
    class eventNotification
    {
        private static string API_URL = "https://sandbox.e-signlive.com/api";
        private static string API_KEY = "your_api_key";
        private static string URL = "http://my.url.com";
        private static string KEY = "myCallbackKey";

        public static void Main(string[] args)
        {
            EslClient eslClient = new EslClient(API_KEY, API_URL);

            eslClient.EventNotificationService.Register(EventNotificationConfigBuilder.NewEventNotificationConfig(URL)
                .WithKey(KEY)
                .ForEvent(NotificationEvent.PACKAGE_CREATE)
                .ForEvent(NotificationEvent.PACKAGE_DECLINE)
                .ForEvent(NotificationEvent.PACKAGE_COMPLETE));
        }
    }
}